import { OnInit } from '@angular/core';
import { services } from 'typescript-angular-utilities';
import __object = services.object;
import __array = services.array;
import __guid = services.guid;
import __time = services.time;
import { ValidatedInputComponent } from '../validationInput';
import { ComponentValidator } from '../../../services/componentValidator/componentValidator.service';
import { FormComponent } from '../../form/form';
export declare class AbsoluteTimeComponent extends ValidatedInputComponent<string> implements OnInit {
    minuteInterval: number;
    hour: number;
    minute: number;
    period: string;
    time: __time.ITime;
    readonly displayTime: string;
    showTimes: boolean;
    hourSelected: boolean;
    minuteSelected: boolean;
    allHours: number[];
    allMinutes: number[];
    timeUtility: __time.ITimeUtility;
    constructor(rlForm: FormComponent, componentValidator: ComponentValidator, object: __object.ObjectUtility, array: __array.ArrayUtility, guid: __guid.GuidService, timeUtility: __time.TimeUtility);
    ngOnInit(): void;
    toggleTimes(): void;
    closeTimes(): void;
    togglePeriod(): void;
    selectHour(hour: number): void;
    deselectHour(): void;
    selectMinute(minute: number): void;
    deselectMinute(): void;
    private setSelections();
}
